curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/payouts/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/payouts/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unique_request_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
"payout_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
"amount_payer_pays": "1000.00",
"payout_currency": "USD",
"payout_amount": "1000.00",
"purpose_code": "AUDIO_VISUAL_SERVICES",
"source_currency": "USD",
"source_amount": "1000.00",
"amount_beneficiary_receives": "1000.00",
"fee_paid_by": "SHARED",
"fee_currency": "USD",
"fee_amount": "1.00",
"payout_date": "2024-03-01",
"short_reference_id": "P220406-LLCVLRM",
"payout_reference": "026073150",
"payout_reason": "Audiovisual services",
"payout_status": "READY_TO_SEND",
"create_time": "2024-03-01T00:00:00+08:00",
"update_time": "2024-03-01T00:00:00+08:00",
"complete_time": "2024-03-01T00:00:00+08:00",
"payout_method": "LOCAL",
"payer": {
"payer_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
"entity_type": "COMPANY",
"country": "SG",
"company_name": "UQPAY",
"first_name": "John",
"last_name": "Doe",
"city": "Singapore",
"address": "123 Main St",
"state": "CA",
"postal_code": "123456",
"date_birth": "2001-01-28",
"identification_type": "PASSPORT",
"identification_value": "12345678"
},
"beneficiary": {
"beneficiary_id": "b3d9d2d5-4c12-4946-a09d-953e82sed2b0",
"short_reference_id": "P220406-LLCVLRM",
"entity_type": "COMPANY",
"payment_method": "LOCAL",
"email": "example@uqpay.com",
"beneficiary_status": "ACTIVE",
"summary": "John Doe",
"bank_details": {
"bank_name": "Bank of America",
"bank_address": "123 Main St",
"bank_country_code": "SG",
"account_holder": "John Doe",
"account_currency_code": "USD",
"swift_code": "WELGBE22",
"clearing_system": "GIRO",
"account_number": "12345678",
"iban": "GB82 WEST 1234 5698 7654 32",
"routing_code_type1": "aba",
"routing_code_value1": "123456789",
"routing_code_type2": "ach",
"routing_code_value2": "123456789"
},
"address": {
"country": "SG",
"city": "Singapore",
"street_address": "123 Main St",
"postal_code": "123456",
"state": "CA",
"nationality": "SG"
},
"nickname": "John Doe",
"company_name": "UQPAY TECHNOLOGY SG PTE LTD",
"first_name": "John",
"last_name": "Doe",
"id_number": "110101199001011234",
"create_time": "2024-03-01T00:00:00+08:00",
"update_time": "2024-03-01T00:00:00+08:00",
"additional_info": {
"organization_code": "91210106MA0P46BWXY",
"proxy_id": "<string>",
"id_type": "PASSPORT",
"id_number": "AB1234567",
"tax_id": "123456789",
"msisdn": "+65111111"
}
},
"failure_returned_amount": "1000.00",
"failure_reason": "",
"quote_id": "784832f7-1f8a-4b08-ac2a-8719b5b2a590",
"conversion": {
"currency_pair": "USDEUR",
"client_rate": "1.355957"
}
}Retrieve Payout
Get a specific payout by specifying the payout_id.
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
Response
OK - Successfully retrieved a payout.
Unique request identifier of the payout. Most records carry a UUID v4; records created through legacy or compatibility flows may instead carry a 64-character hexadecimal identifier.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
Unique identifier for the payout.
"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"
The amount actually paid by the payer for the payout.
"1000.00"
The amount that the payer will send out, in currency.
"1000.00"
Purpose code of payout and must be one of:
AUDIO_VISUAL_SERVICES- Audiovisual services.BILL_PAYMENT- Bill payment.BUSINESS_EXPENSES- Business expenses.CONSTRUCTION- Construction.DONATION_CHARITABLE_CONTRIBUTION- Donation/charitable contribution.EDUCATION_TRAINING- Education/training.FAMILY_SUPPORT- Family support.FREIGHT- Freight.GOODS_PURCHASED- Goods purchased.INVESTMENT_CAPITAL- Investment capital.INVESTMENT_PROCEEDS- Investment proceeds.LIVING_EXPENSES- Living expenses.LOAN_CREDIT_REPAYMENT- Loan/credit repayment.MEDICAL_SERVICES- Medical services.PENSION- Pension.PERSONAL_REMITTANCE- Personal remittance.PROFESSIONAL_BUSINESS_SERVICES- Professional/business services.REAL_ESTATE- Real estate.TAXES- Taxes.TECHNICAL_SERVICES- Technical services.TRANSFER_TO_OWN_ACCOUNT- Transfer to own account.TRAVEL- Travel.WAGES_SALARY- Wages/salary.
"AUDIO_VISUAL_SERVICES"
The currency that the payer will send out.
3"USD"
The amount paid by the payer for the payout.
"1000.00"
The amount received by the beneficiary.
"1000.00"
The charge type of payment fee. Only effective when payment_method = SWIFT.
SHARED: Transaction fees are split between payer and recipient; payer pays sending bank fees while recipient pays receiving bank fees.OURS: All transaction fees, including intermediary bank charges, are paid by the payer.
An empty string may be returned for records where the fee allocation mode is unavailable or not applicable.
SHARED, OURS, "SHARED"
Fee amount of the payout.
"1.00"
Date of when the system attempt to submit the payment to the beneficiary.
"2024-03-01"
The reference generated by the system to identify the payout.
"P220406-LLCVLRM"
Bank payment reference displayed in the beneficiary's bank transaction records. Sent to the recipient (e.g. For Further Credit, For Benefit of, or a custom message). aka Payment reference in Dashboard.
- SWIFT payments: Must comply with the regex
/^[a-zA-Z0-9/-?:().'+, ]+$/.
Allowed characters: English letters, digits, spaces, and the following special symbols:- / ? : ( ) . ' + ,. - LOCAL payments: When
payment_method = LOCALandaccount_currency_codeis not CNH or SGD, no input format validation is applied.
100"026073150"
The custom reason for the payout which displayed in the beneficiary's bank transaction records.
200"Audiovisual services"
The payout's status.
READY_TO_SEND: The payout has been validated and is ready for processing.PENDING: The payout is currently being processed by the system.REJECTED: The payout was rejected due to validation or compliance requirements not being met.FAILED: The payout process encountered an error and could not be completed.COMPLETED: The payout has been successfully processed and funds have been transferred.
READY_TO_SEND, PENDING, REJECTED, FAILED, COMPLETED Create time of the payout.
"2024-03-01T00:00:00+08:00"
Update time of the payout.
"2024-03-01T00:00:00+08:00"
Completed time of the payout.
"2024-03-01T00:00:00+08:00"
The payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method.
LOCAL: Payment processed through domestic payment networks with local clearing systems.SWIFT: International payment processed through the SWIFT network for cross-border transfers.
LOCAL, SWIFT "LOCAL"
Details of the payer associated with this payout.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The amount of the failed payout to be returned.
"1000.00"
The reason why the payout failed.
""
ID of the pre-created quote, obtained via Create Quote.
Required only for cross-currency payout scenarios.
If provided, payout_currency and payout_amount must also be supplied.
"784832f7-1f8a-4b08-ac2a-8719b5b2a590"
Details of the currency conversion for the payout. Required only for cross-currency payout scenarios.
Show child attributes
Show child attributes

